Package com.smartgwt.client.types

# Enum RecordDropAppearance

java.lang.Object
java.lang.Enum<RecordDropAppearance>
com.smartgwt.client.types.RecordDropAppearance

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<RecordDropAppearance>`, `Constable`

public enum RecordDropAppearance extends Enum<RecordDropAppearance> implements ValueEnum
Controls how ListGrid record drop events report their `dropPosition`, and where the drop indicator will be displayed if appropriate.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BETWEEN`
  When the user drops onto a record, dropPosition will be either "before" or "after" depending on whether the mouse was over the top or bottom of the target record
  `BODY`
  No dropPosition will be reported
  `BOTH`
  When the user drops onto a record, if the drop occurs centered over the record, the dropPosition will be reported as "over", otherwise it will be "before" or "after" depending on whether the mouse was over the top or bottom of the target record.
  `OVER`
  When the user drops onto a record, dropPosition will always be "over"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static RecordDropAppearance`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RecordDropAppearance[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OVER

    public static final RecordDropAppearance OVER
    When the user drops onto a record, dropPosition will always be "over"

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "over".

  - ### BETWEEN

    public static final RecordDropAppearance BETWEEN
    When the user drops onto a record, dropPosition will be either "before" or "after" depending on whether the mouse was over the top or bottom of the target record

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "between".

  - ### BOTH

    public static final RecordDropAppearance BOTH
    When the user drops onto a record, if the drop occurs centered over the record, the dropPosition will be reported as "over", otherwise it will be "before" or "after" depending on whether the mouse was over the top or bottom of the target record.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "both".

  - ### BODY

    public static final RecordDropAppearance BODY
    No dropPosition will be reported

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "body".

- ## Method Details

  - ### values

    public static RecordDropAppearance[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RecordDropAppearance valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`